### Method

# GLib Mutex free

deprecated: 2.32

#### Declaration [src]

    void
    g_mutex_free (
      GMutex* mutex
    )

#### Description [src]

Destroys a `mutex` that has been created with g_mutex_new().

Calling `g_mutex_free()` on a locked mutex may result in undefined behaviour.

Deprecated since: 2.32

GMutex can now be statically allocated, or embedded in structures and initialised with g_mutex_init().

This method is not directly available to language bindings.